function [share] = logit_sharefun(beta, p, xi, which)
% p and xi should be 1 x J vectors

J = size(p,2);
denominator = 1;
for j = 1:1:J
    denominator = denominator + exp(beta*p(:,j) + xi(:,j));
end

share = exp(beta*p(:,which) + xi(:,which))./denominator;
end

